<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [WarehouseAPI](./bitburner.warehouseapi.md) &gt; [limitMaterialProduction](./bitburner.warehouseapi.limitmaterialproduction.md)

## WarehouseAPI.limitMaterialProduction() method

Limit material production.

**Signature:**

```typescript
limitMaterialProduction(divisionName: string, city: CityName, materialName: CorpMaterialName, qty: number): void;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

divisionName


</td><td>

string


</td><td>

Name of the division.


</td></tr>
<tr><td>

city


</td><td>

[CityName](./bitburner.cityname.md)


</td><td>

Name of the city.


</td></tr>
<tr><td>

materialName


</td><td>

[CorpMaterialName](./bitburner.corpmaterialname.md)


</td><td>

Name of the material.


</td></tr>
<tr><td>

qty


</td><td>

number


</td><td>

Amount to limit to. Pass a negative value to remove the limit instead.


</td></tr>
</tbody></table>

**Returns:**

void

## Remarks

RAM cost: 20 GB

This limit applies only to output; it does not affect input consumption.

For example, in Agriculture, assume the division's raw production is 1000. You need to consume 500 Water and 200 Chemicals to produce 1000 Plants and 1000 Food. If you set the limits for Plants and Food to 200 and 100 respectively, you will still consume 500 Water and 200 Chemicals, but only produce 200 Plants and 100 Food.

With industries that produce both materials and products, the material production limits do not affect product production.

You can set a limit on any material, but only limits on output materials are enforced. Limits on other materials are stored but ignored during production calculations. For example, in Agriculture, only limits on Plants and Food are enforced.

